/**------post grid-------*/

.imp-post-gird {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  column-gap: var(--gap-m);
  row-gap: var(--gap-m);
}

.imp-post-gird .room-grid-item {
  border-radius: var(--border-radius);
  overflow: hidden;
  height: fit-content;
  background: white;
  height: 100%;
  display: flex;
  flex-direction: column;
}

/* New class to apply for the transition */
.room-grid-item.tile-in-view {
  transition:
    transform 0.5s ease-out,
    opacity 0.5s ease-out;
  opacity: 1;
  transform: translateY(0);
}

.room-grid-item-thumb {
  position: relative;
}
.imp-post-gird .room-grid-item .room-grid-item-infos {
  padding: var(--gap-m) calc(var(--gap-m) * 1.4);
  display: flex;
  flex-direction: column;
  gap: var(--gap-m);
  width: 100%;
  flex-grow: 1;
}

.imp-post-gird .room-grid-item .room-grid-item-infos .room-name {
  margin-bottom: 0 !important;
}

.imp-post-gird .room-grid-item .room-info-details {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
  margin-bottom: 0 !important;
  margin-top: auto;
}

.imp-post-gird .room-grid-item .room-info-details > div {
  width: 100%;
}

.imp-post-gird .room-grid-item .room-info-details span {
  font-size: var(--base-font-size-small);
  font-style: normal;
  font-weight: 300;
  line-height: 1.67;
  letter-spacing: 0.3px;
  text-align: center;
  max-width: 90%;
}

.imp-post-gird .room-grid-item .room-detail-btn {
  text-align: center;
  align-self: center;
}

.imp-post-gird .room-grid-item .room-info-details > div:nth-child(odd) {
  border-right: 2px solid var(--ast-global-color-0);
}

.imp-post-gird .room-grid-item .room-info-details > div:nth-child(1),
.imp-post-gird .room-grid-item .room-info-details > div:nth-child(2) {
  border-bottom: 2px solid var(--ast-global-color-0);
}

@media (max-width: 1150px) {
  .imp-post-gird {
    grid-template-columns: repeat(2, 1fr);
  }

  .imp-post-gird .room-grid-item .room-grid-item-infos {
    padding: var(--gap-m);
  }
}

@media (max-width: 650px) {
  .imp-post-gird {
    grid-template-columns: repeat(1, 1fr);
  }
}
